bladerf (0.2017.12~rc1-2) unstable; urgency=medium

  * Fix AppStream metainfo

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 17 Apr 2018 22:56:41 -0400

bladerf (0.2017.12~rc1-1) unstable; urgency=medium

  * 15 commits past rc1 is like a New upstream release
  * Update to 2017.12-rc1-19-g23c6379e
  * Include AppStream metainfo
  * update bladerf udev rules (Closes: #841678)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 06 Apr 2018 21:47:02 -0400

bladerf (0.2017.07-1) experimental; urgency=medium

  * update to bladeRF-cli_v1.5.0-49-g4ec41d2f
  * use ID_SOFTWARE_RADIO in udev rules (Closes: #841678)
  * Start transition in experimental
  [ Robert Ghilduta ]
    * Add Automatic Gain Control
  [ Rey Tucker ]
    * debian: fix permissions on FPGA and firmware binaries after downloading

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Nov 2017 23:49:08 -0500

bladerf (0.2016.06-2) unstable; urgency=medium

  * Upstream AGC CMake, and gcc7 patches (closes: #869889, #853332)
  * Added support for Automatic Gain Control

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 05 Aug 2017 14:31:27 -0400

bladerf (0.2016.06-1) unstable; urgency=medium

  * New upstream release
  * Depend upon ca-certificates. Thanks Andreas and piuparts! (Closes: #825690)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jul 2016 19:35:35 -0400

bladerf (0.2016.06) unstable; urgency=low

  * Added synchronization trigger functionality
  * Added SMB clock port control to libbladeRF API
  * Added XB-300 support
  * Added detection of v2.0.0 firmware series (with new VID/PID)
  * FPGA bitstream v0.6.0, FX3 FW v2.0.0, libbladeRF v1.7.2, bladeRF-cli v1.4.0

 -- Jon Szymaniak <jon.szymaniak@nuand.com>  Wed, 29 Jun 2016 16:10:35 -0400

bladerf (0.2016.01~rc1-5) unstable; urgency=medium

  * remove incorrect dependency. Thanks Andreas and Steven! (Closes:#815341)
  * Lintian fixes (copyright format, spelling)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 26 Apr 2016 20:05:18 -0400

bladerf (0.2016.01~rc1-4) unstable; urgency=medium

  * update to 2015.06-rc1.1-269-g5367663

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 25 Apr 2016 22:55:35 -0400

bladerf (0.2016.01~rc1-3) unstable; urgency=medium

  * update to 1be8b76
    use upstream fixes for big-endian builds
  * single Debian kFreeBSD support patch
  * spelling fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 12 Jan 2016 21:31:17 -0500

bladerf (0.2016.01~rc1-2) unstable; urgency=medium

  * Apply fixes for big-endian builds
  * Apply fixes for Debian kFreeBSD support

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 11 Jan 2016 12:21:43 -0500

bladerf (0.2016.01~rc1-1) unstable; urgency=medium

  * New upstream release candidate
    update to 6e35ea3

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 10 Jan 2016 15:51:33 -0500

bladerf (2016.01-rc1) unstable; urgency=low

  * Added support for VCTCXO taming using 1.8V 1 PPS or 10 MHz input signal
  * Revised DC offset correction algorithm; fixes lockups
  * Added firmware logging mechanism
  * Updated firmware to FX3 SDK 1.3.3
  * Added libbladeRF support for setting SMB clock to arbitrary frequency
  * Added XB-100 host support
  * Fixed TX undderrun issues (now correctly uses all available buffers)
  * FPGA bitstream v0.5.0, FX3 FW v1.9.0, libbladeRF v1.5.1, bladeRF-cli v1.3.1

 -- Jon Szymaniak <jon.szymaniak@nuand.com>  Thu, 07 Jan 2016 16:35:09 -0500

bladerf (0.2015.07-4) unstable; urgency=medium

  * Update to 2015.06-rc1.1-106-gc262e84

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Nov 2015 22:16:54 -0500

bladerf (0.2015.07-3) unstable; urgency=low

  * fix-bladerf-big-endian (Closes: #795456)
  * Update to 6919e9e

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 14 Aug 2015 10:23:34 -0400

bladerf (0.2015.07-2) unstable; urgency=medium

  * place optional installer packages in contrib (Closes: #795210)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 12 Aug 2015 00:53:59 -0400

bladerf (0.2015.07-1) unstable; urgency=low

  * New upstream release
  * Adopt upstream packaging, Thanks to Ryan Tucker <bladerf@ryantucker.us>
    - always install udev rules (no libbladerf-udev package necessary)
    - ship bladeRF-install-firmware script in bladerf package

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 08 Aug 2015 21:21:45 -0400

bladerf (0.2015.06-rc1) unstable; urgency=low

  * New upstream release
  * Adopt upstream packaging, Thanks to Ryan Tucker <bladerf@ryantucker.us>
    always install udev rules (no libbladerf-udev package necessary)
    
 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 01 Aug 2015 00:12:45 -0400

bladerf (2015.07) unstable; urgency=low

  * FPGA: Fixed bug where TX_NOW bursts could cause metadata/sample FIFO slips
  * libbladeRF: Devices can now be opened using only a subset of a serial number
  * libbladeRF: Fixed regressions in XB-200 filterbank selection and loopback support
  * libbladeRF: Corrected zero-padding at end of TX burst
  * FPGA bitstream v0.3.4, FX3 Firmware v1.8.0, libbladeRF v1.4.3, bladeRF-cli v1.2.1

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 25 Jul 2015 16:35:38 -0400

bladerf (2015.06-rc1) unstable; urgency=low

  [ Jon Szymaniak ]
  * FPGA, libbladeRF: Configurable tuning modes: host and fpga
  * FPGA, libbladeRF: Scheduled retune: retune module at specified sample timestamp
  * FPGA, libbladeRF: Quick retune: retune using previously identified tuning parameters
  * FPGA, libbladeRF: Readback of current vctcxo trim DAC settting
  * bladeRF-cli: Added semicolon command separator support
  * bladeRF-cli: Added 'print trimdac' implementation

  [ Ryan Tucker ]
  * Fixup debian/changelog for rc1 

 -- Ryan Tucker <rtucker@gmail.com>  Wed, 01 Jul 2015 20:07:04 -0400

bladerf (2015.02) unstable; urgency=low

  * Build fixes

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 28 Feb 2015 15:58:39 -0500

bladerf (2015.01-rc2) unstable; urgency=low

  * Fixed issue #95, which prevented device from being opened after an application crash
  * Fixes for undesired XB-200 signal attenuation and LMS signal integrity issues
  * Added BLADERF_LOG_LEVEL support and optional libbladeRF syslog support
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.2.0, bladeRF-cli v1.1.1

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sat, 31 Jan 2015 17:02:35 -0500

bladerf (2014.12-rc1) unstable; urgency=low

  * Added libbladeRF API functions for finding and recovering devices in bootloader mode
  * Added BLADERF_SEARCH_DIR, current working directory, and binary dir to libbladeRF file search path
  * The bladeRF-cli -p/--probe option now returns a non-zero return code if no devices were found.
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.1.0, bladeRF-cli v1.1.0

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Tue, 22 Dec 2014 14:06:49 -0500

bladerf (2014.11) unstable; urgency=low

  * First stable libbladeRF API release
  * FPGA bitstream v0.1.2, FX3 Firmware v1.8.0, libbladeRF v1.0.0, bladeRF-cli v1.0.0

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Sun, 30 Nov 2014 16:18:33 -0500

bladerf (2014.11-rc3) unstable; urgency=low

  * Second of three release candidates for rescheduled 2014.11 release
  * FPGA bitstream v0.1.1, FX3 Firmware v1.7.1, libbladeRF v0.17.0, bladeRF-cli v0.12.0
  * Introduced timestamp metadata support in libbladeRF's synchronous interface
  * A majority of libbladeRF functions have been made thread-safe.
  * Fixes for DC calibration issues, deadlocks, crashes, and various defects.

 -- Jon Szymaniak <jon.szymaniak@gmail.com>  Thu, 30 Oct 2014 21:59:38 -0400

bladerf (0.2014.09~rc2-5) unstable; urgency=low

  * remove kfreebsd uninstallable dependency on libusb-1.0-0 

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 12 Sep 2014 09:40:21 -0400

bladerf (0.2014.09~rc2-4) unstable; urgency=low

  * update build dependency to libtecla-dev (due to libtecla 1.6.2)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 09 Sep 2014 14:49:14 -0400

bladerf (0.2014.09~rc2-3) unstable; urgency=low

  * update usb library dependencies

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 09 Sep 2014 01:27:32 -0400

bladerf (0.2014.09~rc2-2) unstable; urgency=low

  * Update to 2014.09-rc2-49-g0bb0cce

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 27 Aug 2014 02:37:36 -0400

bladerf (0.2014.09~rc2-1) unstable; urgency=low

  * Update to 2014.09-rc2-39g0189d48
    bladeRF-install-firmware checksums updated
  * Second of three release candidates for 2014.09 release
  * FPGA bitstream v0.0.6,
    FX3 Firmware v1.7.1,
    libbladeRF v0.16.2, bladeRF-cli v0.11.1
  * [hdl (nios)] Defects present in gain/phase correction bug
  * Frequency readback is incorrect when using xb200 bug
  * Markdown-ify the bladeRF-cli interactive help
  * bladeRF-cli: Clean up print/set lnagain bug
  * [libbladeRF] LMS VTUNE not locking occasionally bug
  * [bladeRF-Cli] Fix 'correct' command parameter ranges, cleanup usage and
    help text
  * [libbladeRF] Remove bladerf_* calls from lms.c enhancement
  * [libbladeRF] Cleanup: Move bladerf_get/set_sampling to lms.c enhancement
  * libbladeRF: LMS SELOUT[1:0] may be left in an invalid state upon exiting
    loopback mode
  * [CLI] After a calibrate command is issued, the bladeRF transmits a carrier

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 20 Aug 2014 11:23:42 -0400

bladerf (2014.09-rc2) unstable; urgency=low

  * Tagged release 2014.09-rc2 at dddc72f
  * Second of three release candidates for 2014.09 release
  * FPGA bitstream v0.0.6, FX3 Firmware v1.7.1, libbladeRF v0.16.2, bladeRF-cli v0.11.1
  * Closes #284: [hdl (nios)] Defects present in gain/phase correction bug
  * Closes #271: Frequency readback is incorrect when using xb200 bug
  * Closes #270: Markdown-ify the bladeRF-cli interactive help
  * Closes #254: bladeRF-cli: Clean up print/set lnagain bug
  * Closes #249: [libbladeRF] LMS VTUNE not locking occasionally bug
  * Closes #248: [bladeRF-Cli] Fix 'correct' command parameter ranges, cleanup usage and help text bug
  * Closes #243: [libbladeRF] Remove bladerf_* calls from lms.c enhancement
  * Closes #234: [libbladeRF] Cleanup: Move bladerf_get/set_sampling to lms.c enhancement
  * Closes #220: libbladeRF: LMS SELOUT[1:0] may be left in an invalid state upon exiting loopback mode bug
  * Closes #210: [CLI] After a calibrate command is issued, the bladeRF transmits a carrier. bug

 -- Ryan Tucker <rtucker@gmail.com>  Thu, 24 Jul 2014 22:59:24 -0400

bladerf (0.2014.09~rc1-1) unstable; urgency=low

  * New upstream release candidate
  
 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 06 Jul 2014 23:06:53 -0400

bladerf (2014.09-rc1) unstable; urgency=low

  * Tagged release 2014.09-rc1 at 9c651b5
  * First of two release candidates for 2014.09 release
  * FPGA bitstream v0.0.5, FX3 Firmware v1.7.0, libbladeRF v0.16.0, bladeRF-cli v0.11.0
  * Closes #268: [libbladeRF] Version check routines have flipped logic bug
  * Closes #257: [libbladeRF] Remove incorrect error_conv() call(s).
  * Closes #256: [libbladeRF] Intermittent FPGA load failures bug
  * Closes #246: [libbladerRF] Added an error code for "File not found" errors enhancement
  * Closes #245: [libbladeRF] bladerf_set_bandwidth() does not appropriately handle actual=NULL bug
  * Closes #244: [libbladeRF] Lock-up occurs if sync TX is configured but not used
  * Closes #241: TX Stream can lose initial buffers
  * Closes #237: [libbladeRF] XB-200 support and API calls required bug
  * Closes #235: [libbladeRF] Change API return values for flash calls - return 0, not >= 0. bug
  * Closes #228: [libbladeRF] Additional libusb function checks required bug
  * Closes #223: FPGA DC remover block enhancement
  * Closes #217: Probe returns Backend Id's, bladerf_open wants a string for the backend. bug
  * Closes #211: [bladeRF-cli] Text wraps around in man pages bug
  * Closes #189: [libbladeRF] Refactor backend interface and libusb backend implementation enhancement
  * Closes #176: [libbladeRF] Mixup between SPI flash "sector" and "erase block" enhancement
  * Closes #55: CLI: A number of commands are still unimplemented stubs bug
  * Closes #46: CLI: Add -e <cmd> support enhancement

 -- Ryan Tucker <rtucker@gmail.com>  Sat, 05 Jul 2014 14:56:29 -0400

bladerf (0.10.7.47.ebe70c4-4) unstable; urgency=low

  * avoid help2man build failures on some architectures

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 19 Apr 2014 19:07:28 -0400

bladerf (0.10.7.47.ebe70c4-3) unstable; urgency=low

  * More kFreeBSD build fixes

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 18 Apr 2014 18:53:19 -0400

bladerf (0.10.7.47.ebe70c4-2) unstable; urgency=low

  * Find libusb2 library on kFreeBSD

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Apr 2014 17:10:54 -0400

bladerf (0.10.7.47.ebe70c4-1) unstable; urgency=low

  * Update to v0.10.7 47 ebe70c4

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Apr 2014 11:35:00 -0400

bladerf (0.9.0.15.8ba2499-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Jan 2014 20:53:21 -0500

bladerf (0~20131229-1) unstable; urgency=low

  * Rename libbladerf0-dev -> libbladerf-dev

 -- Ryan Tucker <rtucker@gmail.com>  Sun, 29 Dec 2013 16:04:17 -0500

bladerf (0.9.0.15.8ba2499-1) unstable; urgency=low

  * new upstream version

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Dec 2013 12:15:29 -0500

bladerf (0.8.0.14.9126eac-1) unstable; urgency=low

  * New Debian Package (Closes: #724967)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 25 Nov 2013 23:51:56 -0500

bladerf (0~20131006-1) unstable; urgency=low

  * Another experimental release
  * Make it work
  * Rebase to b80d31f5 (Merge pull request #140)
  * Generate man pages from markdown'd doxygen

 -- Ryan Tucker <rtucker@gmail.com>  Sun, 06 Oct 2013 19:38:31 -0400

bladerf (0~20130929-1) unstable; urgency=low

  * Initial Debian packaging (Closes: #121)

 -- Ryan Tucker <rtucker@gmail.com>  Sun, 29 Sep 2013 17:41:30 +0000
